Check Stripe support
Checks if Stripe onramp and Stripe Web2 are supported based on IP address location and optional transaction amount
GET
/onramp/stripe/supported
Checks if Stripe onramp and Stripe Web2 are supported based on IP address location and optional transaction amount
Query Parameters
usdAmount
string
optional
query
Optional USD amount for transaction limit checks
Example:
"100.00"Responses
200
Stripe support status retrieved successfully
application/jsonsuccess
boolean
REQUIRED
message
string
REQUIRED
data
object
REQUIRED
stripeOnramp
boolean
REQUIRED
Whether Stripe onramp is supported for this location/amount
stripeWeb2
unknown
REQUIRED
statusCode
number
REQUIRED
400
Bad request
curl -X GET 'https://mainnet.anyspend.com/onramp/stripe/supported'
const response = await fetch('https://mainnet.anyspend.com/onramp/stripe/supported', {
method: 'GET'
});
const data = await response.json();
console.log(data);
import requests
response = requests.get('https://mainnet.anyspend.com/onramp/stripe/supported')
print(response.json())
200
Response
{
"success": true,
"message": "Stripe support status retrieved successfully",
"data": {
"stripeOnramp": true,
"stripeWeb2": {
"isSupport": false
}
},
"statusCode": 200
}
GET
/onramp/stripe/supported